using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability371.Domain;

public class TaobaoTbkItemInfoUpgradeGetPublishInfo
{

    /*
        商品信息-收入比率(商品佣金比率+补贴比率)。15.5表示15.5%
    */
    private string? incomeRate;


    /*
        前N件佣金信息-前N件佣金生效或预热时透出以下字段
    */
    private TaobaoTbkItemInfoUpgradeGetTopNInfoDTO? topnInfo;


    /*
        单品淘礼金今日剩余可创建个数
    */
    private long? tljRemainNum;


    /*
        两小时推广销量。 非实时，约半小时更新
    */
    private long? twoHourPromotionSales;


    /*
        当天推广销量。 非实时，约1小时更新
    */
    private long? dailyPromotionSales;


    /*
        额外奖励活动类型，如果一个商品有多个奖励类型，返回结果使用空格分割，0=预售单单奖励，1=618超级U选单单补
    */
    private string? cpaRewardType;


    /*
        额外奖励活动金额，活动奖励金额的类型与cpa_reward_type字段对应，如果一个商品有多个奖励类型，返回结果使用空格分割
    */
    private string? cpaRewardAmount;


    /*
        商品佣金信息
    */
    private TaobaoTbkItemInfoUpgradeGetFinalIncomeInfo? incomeInfo;



    [JsonPropertyName("income_rate")]
    public string? IncomeRate
    {
        get => incomeRate;
        set => this.incomeRate = value;
    }

    [JsonPropertyName("topn_info")]
    public TaobaoTbkItemInfoUpgradeGetTopNInfoDTO? TopnInfo
    {
        get => topnInfo;
        set => this.topnInfo = value;
    }

    [JsonPropertyName("tlj_remain_num")]
    public long? TljRemainNum
    {
        get => tljRemainNum;
        set => this.tljRemainNum = value;
    }

    [JsonPropertyName("two_hour_promotion_sales")]
    public long? TwoHourPromotionSales
    {
        get => twoHourPromotionSales;
        set => this.twoHourPromotionSales = value;
    }

    [JsonPropertyName("daily_promotion_sales")]
    public long? DailyPromotionSales
    {
        get => dailyPromotionSales;
        set => this.dailyPromotionSales = value;
    }

    [JsonPropertyName("cpa_reward_type")]
    public string? CpaRewardType
    {
        get => cpaRewardType;
        set => this.cpaRewardType = value;
    }

    [JsonPropertyName("cpa_reward_amount")]
    public string? CpaRewardAmount
    {
        get => cpaRewardAmount;
        set => this.cpaRewardAmount = value;
    }

    [JsonPropertyName("income_info")]
    public TaobaoTbkItemInfoUpgradeGetFinalIncomeInfo? IncomeInfo
    {
        get => incomeInfo;
        set => this.incomeInfo = value;
    }

}

